Bug 1089801 - [TRACKER BUG] Boost upgrade to 1.67.0 compilation issues
[TRACKER BUG] Boost upgrade to 1.67.0 compilation issues
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Adam Majer
E-mail List
:
Depends on: 1089805 1089806 1089808 1089810 1089811 1089812 1089814 1089815 1089818 1089820 1096208
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-17 07:51 UTC by Adam Majer
Modified: 2018-08-16 13:40 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2018-04-17 07:51:36 UTC
Boost 1.67.0 has implemented some breaking changes in certain libraries that result in a number of build failures. These are tracked here before new Boost enters factory.
Comment 1 Adam Majer 2018-04-17 07:57:51 UTC
Current version of Boost 1.67.0 resides in home:adamm:boost_test on OBS. Blocking bugs are tracking fixes to allow simpler transition once new Boost is submit to Factory.

Please fix packages (or other packages), test build against home:adamm:boost_test/boost, close blocking bugs and and submit to Factory.
Comment 2 Peter Sütterlin 2018-06-20 14:03:19 UTC
Maybe a bit late, because boost67 had just been included in TW.  Still:
Compiling PlanetaryImager I get a build error
/usr/include/boost/lockfree/spsc_queue.hpp:145:51: error: ‘next’ is not a member of ‘boost’

searchin the web I found https://svn.boost.org/trac10/ticket/13497 which points to a patch in the git repo that probably needs to be included in the TW build?
Comment 3 Adam Majer 2018-06-21 09:18:59 UTC
(In reply to Peter Sütterlin from comment #2)
> Maybe a bit late, because boost67 had just been included in TW.  Still:
> Compiling PlanetaryImager I get a build error
> /usr/include/boost/lockfree/spsc_queue.hpp:145:51: error: ‘next’ is not a
> member of ‘boost’
> 
> searchin the web I found https://svn.boost.org/trac10/ticket/13497 which
> points to a patch in the git repo that probably needs to be included in the
> TW build?

That problem can be fixed in Boost, but also can be (temporarily) fixed in the PlanetaryImager sources. Please add,

#include <boost/next_prior.hpp>

before including the lockfree module and it should compile OK. Next Boost version will be out in August and that header fix should be then included.
Comment 4 Peter Sütterlin 2018-06-21 10:31:13 UTC
Yes, I added that line myself (in spsc_queue.hpp of boost, else I'd have to 'fix' all packages using it....).

But shouldn't this be added as a patch to the current TW build sources?  It is a clear bug in the boost files that might well hit more people.
Comment 5 Adam Majer 2018-06-21 10:39:25 UTC
(In reply to Peter Sütterlin from comment #4)
> Yes, I added that line myself (in spsc_queue.hpp of boost, else I'd have to
> 'fix' all packages using it....).
> 
> But shouldn't this be added as a patch to the current TW build sources?  It
> is a clear bug in the boost files that might well hit more people.

If boost upload becomes necessary before next version release, it will be added. Otherwise waiting for next boost version. Tumbleweed was rebuilt with new boost and there was no major problems.
Comment 6 Peter Sütterlin 2018-06-22 12:46:05 UTC
(In reply to Adam Majer from comment #5)
> Tumbleweed was rebuilt with
> new boost and there was no major problems.

Well, this does not mean it is without errors.  It just suggests that none of the TW packages uses the lockfree module.....
Comment 7 Adam Majer 2018-08-16 13:40:41 UTC
Done with Boost 1.67.0. Now onto Boost 1.68.0 bugs in Bug 1105081